Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.webflow.context.portlet
Class PortletFacesContextImpl

    java.lang.Object
      javax.faces.context.FacesContext
          org.springframework.faces.webflow.context.portlet.PortletFacesContextImpl

    public class PortletFacesContextImpl

extends javax.faces.context.FacesContext

The default FacesContext implementation in Mojarra and in Apache MyFaces depends on the Servlet API. This implementation provides an alternative that accepts Portlet request and response structures and creates a `PortletExternalContextImpl` in its constructor. The rest of the method implementations mimic the equivalent methods in the default FacesContext implementation.

Since:
  2.2.0
Author:
  Rossen Stoyanchev

Constructor Summary
`PortletFacesContextImpl(javax.faces.context.ExternalContext externalContext)`
`PortletFacesContextImpl(javax.portlet.PortletContext portletContext, javax.portlet.PortletRequest portletRequest, javax.portlet.PortletResponse portletResponse)`

Method Summary
`void` | `addMessage(java.lang.String clientId, javax.faces.application.FacesMessage message)`
`javax.faces.application.Application` | `getApplication()`
`java.util.Iterator<java.lang.String>` | `getClientIdsWithMessages()`
`javax.el.ELContext` | `getELContext()`
`javax.faces.context.ExternalContext` | `getExternalContext()`
`javax.faces.application.FacesMessage.Severity` | `getMaximumSeverity()`
`java.util.Iterator<javax.faces.application.FacesMessage>` | `getMessages()`
`java.util.Iterator<javax.faces.application.FacesMessage>` | `getMessages(java.lang.String clientId)`
`javax.faces.render.RenderKit` | `getRenderKit()`
`boolean` | `getRenderResponse()`
`boolean` | `getResponseComplete()`
`javax.faces.context.ResponseStream` | `getResponseStream()`
`javax.faces.context.ResponseWriter` | `getResponseWriter()`
`javax.faces.component.UIViewRoot` | `getViewRoot()`
`void` | `release()`
`void` | `renderResponse()`
`void` | `responseComplete()`
`void` | `setResponseStream(javax.faces.context.ResponseStream responseStream)`
`void` | `setResponseWriter(javax.faces.context.ResponseWriter responseWriter)`
`void` | `setViewRoot(javax.faces.component.UIViewRoot viewRoot)`

Methods inherited from class javax.faces.context.FacesContext
`getAttributes, getCurrentInstance, getCurrentPhaseId, getExceptionHandler, getMessageList, getMessageList, getNamingContainerSeparatorChar, getPartialViewContext, getResourceLibraryContracts, isPostback, isProcessingEvents, isProjectStage, isReleased, isValidationFailed, setCurrentInstance, setCurrentPhaseId, setExceptionHandler, setProcessingEvents, setResourceLibraryContracts, validationFailed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletFacesContextImpl

    public PortletFacesContextImpl(javax.portlet.PortletContext portletContext,
                                   javax.portlet.PortletRequest portletRequest,
                                   javax.portlet.PortletResponse portletResponse)

### PortletFacesContextImpl

    public PortletFacesContextImpl(javax.faces.context.ExternalContext externalContext)

Method Detail

### getExternalContext

    public javax.faces.context.ExternalContext getExternalContext()

  Specified by:
    `getExternalContext` in class `javax.faces.context.FacesContext`

### getMaximumSeverity

    public javax.faces.application.FacesMessage.Severity getMaximumSeverity()

  Specified by:
    `getMaximumSeverity` in class `javax.faces.context.FacesContext`

### getMessages

    public java.util.Iterator<javax.faces.application.FacesMessage> getMessages()

  Specified by:
    `getMessages` in class `javax.faces.context.FacesContext`

### getApplication

    public javax.faces.application.Application getApplication()

  Specified by:
    `getApplication` in class `javax.faces.context.FacesContext`

### getClientIdsWithMessages

    public java.util.Iterator<java.lang.String> getClientIdsWithMessages()

  Specified by:
    `getClientIdsWithMessages` in class `javax.faces.context.FacesContext`

### getMessages

    public java.util.Iterator<javax.faces.application.FacesMessage> getMessages(java.lang.String clientId)

  Specified by:
    `getMessages` in class `javax.faces.context.FacesContext`

### getRenderKit

    public javax.faces.render.RenderKit getRenderKit()

  Specified by:
    `getRenderKit` in class `javax.faces.context.FacesContext`

### getRenderResponse

    public boolean getRenderResponse()

  Specified by:
    `getRenderResponse` in class `javax.faces.context.FacesContext`

### getResponseComplete

    public boolean getResponseComplete()

  Specified by:
    `getResponseComplete` in class `javax.faces.context.FacesContext`

### getResponseStream

    public javax.faces.context.ResponseStream getResponseStream()

  Specified by:
    `getResponseStream` in class `javax.faces.context.FacesContext`

### setResponseStream

    public void setResponseStream(javax.faces.context.ResponseStream responseStream)

  Specified by:
    `setResponseStream` in class `javax.faces.context.FacesContext`

### getResponseWriter

    public javax.faces.context.ResponseWriter getResponseWriter()

  Specified by:
    `getResponseWriter` in class `javax.faces.context.FacesContext`

### setResponseWriter

    public void setResponseWriter(javax.faces.context.ResponseWriter responseWriter)

  Specified by:
    `setResponseWriter` in class `javax.faces.context.FacesContext`

### getViewRoot

    public javax.faces.component.UIViewRoot getViewRoot()

  Specified by:
    `getViewRoot` in class `javax.faces.context.FacesContext`

### setViewRoot

    public void setViewRoot(javax.faces.component.UIViewRoot viewRoot)

  Specified by:
    `setViewRoot` in class `javax.faces.context.FacesContext`

### addMessage

    public void addMessage(java.lang.String clientId,
                           javax.faces.application.FacesMessage message)

  Specified by:
    `addMessage` in class `javax.faces.context.FacesContext`

### release

    public void release()

  Specified by:
    `release` in class `javax.faces.context.FacesContext`

### renderResponse

    public void renderResponse()

  Specified by:
    `renderResponse` in class `javax.faces.context.FacesContext`

### responseComplete

    public void responseComplete()

  Specified by:
    `responseComplete` in class `javax.faces.context.FacesContext`

### getELContext

    public javax.el.ELContext getELContext()

  Overrides:
    `getELContext` in class `javax.faces.context.FacesContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD